Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlxt.repository
Interface RepositoryDocument

public interface RepositoryDocument
extends RepositoryObject

The RepositoryDocument object represents a document stored in the repository.

Since:
  WLXT V2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `Repository`, `RepositoryFolder`

Method Summary
`java.lang.String` | `getDocument()` Returns the document content.
`int` | `getType()` Returns the type of this document.
`boolean` | `isNewDocument()` Used to determine if this document exists in the repository or will be added when the update() method is called.
`void` | `setData(java.lang.String document, java.lang.String desc, java.lang.String notes)` Set the content, description, and notes values of the document.
`void` | `setDocument(java.lang.String document)` Set the content of the document.
`java.lang.String` | `toString()` The toString method of the implementation should return the name of the document.

Methods inherited from interface com.bea.wlxt.repository.RepositoryObject
`getDesc, getName, getNotes, getParent, getRepository, isFolder, remove, rename, setDesc, setNotes, update`

Method Detail

### getType

    public int getType()

  Returns the type of this document. Valid values for type are documented as Repository.DOC_TYPE_*.

  Returns:
    The type of the current document.

### isNewDocument

    public boolean isNewDocument()

  Used to determine if this document exists in the repository or will be added when the update() method is called.

  Returns:
    Returns true if the document already exists in the repository or false otherwise.

### getDocument

    public java.lang.String getDocument()

  Returns the document content.

  Returns:
    The content of the document or an empty string if no content exists.

### setDocument

    public void setDocument(java.lang.String document)

  Set the content of the document.

  Parameters:
    `document` - The content of the document. This value will completely replace any existing content.

### setData

    public void setData(java.lang.String document,
                        java.lang.String desc,
                        java.lang.String notes)

  Set the content, description, and notes values of the document.

  Parameters:
    `document` - The new content for the document.
    `desc` - The new description for the document.
    `notes` - The new notes value for the document.

### toString

    public java.lang.String toString()

  The toString method of the implementation should return the name of the document.

  Returns:
    The name of the repository document.
  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)